%define release 1
%define prefix  /usr
%define name	fftv
%define version 0.7.9


Summary:	fftv :  viewer and recorder for TV and radio
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: 	LGPL
Vendor:		Edward Liu
URL: 		http://fftv.sf.net
Group: 		Applications/System
Source0:	%{name}-%{version}.tar.bz2
Packager:       Edward Liu <cp76@csie.nctu.edu.tw>
BuildRoot:	%{_builddir}/%{name}-%{version}-root

BuildRequires: gtk2-devel >= 2.2.4


Requires: gtk2 >= 2.2.4, tcron >= 0.4.7

Docdir:         %{prefix}/share/doc

%description
fftv is a TV viewer for use with TV cards and Video for Linux. It also features a radio user
interface. It can support recording of various formats and codecs including MPEG, AVI, and Ogg.
It supports remote control if LIRC is installed. It supports scheduled power-on/off
recording/reminding if tcron is installed.

%prep
%setup

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc README COPYING CREDITS CREDITS.fftv VERSION.fftv Changelog Changelog.fftv
%{_bindir}/*ff*
%{_bindir}/reminder
%{_libdir}/fftv/*
%{_libdir}/vhook/*
%{_libdir}/menu/*
%{_mandir}/man1/*
%{_datadir}/icons/fftv/*
%{_datadir}/icons/fftv.png


%post
#%update_menus

%postun
#%clean_menus

%changelog
* Thu Jun  3 2004 Peter Hanecak <hanecak@megaloman.sk> 0.7.9-1
- adapted to Doors Linux
